Subject: Re: bug#30285: dired-do-chmod vs. top line of dired

From: Tino Calancha <[email-masked]>
Date: Tue, 30 Jan 2018 08:14:00 +0900 (JST)

On Mon, 29 Jan 2018, 積丹尼 Dan Jacobson wrote:

>>>>>> "TC" == Tino Calancha <[email-masked]> writes:
> TC> Do you prefer to inform the user in this case that there is no file
> TC> to change the mode?
>
> (All I know is I found it odd I couldn't change . or .. but OK you must
> have your reasons. Maybe say "use a prefix argument to really change . "...)

I'd rather prefer fix the case when:
* there is no marked files
** We are in a line without file at point.

Whether if an user should be able to `chmod' '.' or '..' seems
a bit orthogonal to *, ** above; maybe better to discuss such
issue in a separated bug report.